<div class="trauma">
  <form [formGroup]="dvGroup">
    <app-content-banner [isDashboard]="false" pageName="Trauma" [isTutorialRequired]="true"
      [TutorialPageName]="'trauma'"></app-content-banner>
    <mat-card class="trauma-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
        <app-client-banner></app-client-banner>
      </mat-card-header>
      <mat-card-content>
        <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
          <!--Domestic Violence and Trauma Tab-->
          <mat-tab>
            <ng-template matTabLabel>
              <span>Domestic Violence and Trauma</span>
              <mat-icon *ngIf="tab1Status !== 2"
                [ngStyle]="{'color': tab1Status == 0 ? pendingColor : tab1Status == 1 ? completedColor :noColor}">
                {{tab1Status == 1?'check_circle': tab1Status == 0 ? 'watch_later': ''}}</mat-icon>
            </ng-template>
            <ng-template matTabContent>
              <div class="example-small-box mat-elevation-z4" fxLayout="column">
                <div class="example-container mat-elevation-z4">
                  <h2 class="title">Domestic Violence and Trauma</h2>
                  <div class="questions">
                    <!-- <form [formGroup]="dvGroup"> -->
                    <div class="div-border">
                      <div class="centerAlign">
                        <div class="question inline">
                          <mat-label class="required-label-color ">Has the applicant been a victim of domestic violence?
                          </mat-label>
                        </div>
                        <div class="radioBtn inline">
                          <mat-radio-group formControlName="isDomesticViolenceVictim" (change)="domesticChange($event)">
                            <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                              {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                            </mat-radio-button>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div *ngIf="domesticShow" class="questionPadding">
                        <div class="centerAlign">
                          <div class="subQuestion inline">
                            <mat-label class="required-label-color ">How long ago did the domestic violence occur?
                            </mat-label>
                          </div>
                          <div class="selectBtn inline">
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="dvHowLongAgoType" (selectionChange)="dvPeriodChange($event)">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let legth of timeLength" [value]="legth.refGroupDetailID">
                                  {{legth.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </div>
                        </div>
                        <div class="centerAlign">
                          <div class="subQuestion inline">
                            <mat-label class="required-label-color "> Has the applicant received domestic violence
                              services?</mat-label>
                          </div>
                          <div class="radioBtn inline">
                            <mat-radio-group formControlName="hasReceivedDVServices"
                              (change)="dvProviderChange($event)">
                              <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                                {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                              </mat-radio-button>
                            </mat-radio-group>
                          </div>
                        </div>
                        <div class="questionPadding serviceContact" *ngIf="dvProviderShow">
                          <div class="dvInput">
                            <mat-label class="required-label-color ">Name of most recent provider </mat-label>
                            <br>
                            <mat-form-field appearance="outline" style="width:180px">
                              <input matInput formControlName="recentProviderName" maxlength="50">
                            </mat-form-field>
                          </div>
                          <div class="dvInput">
                            <mat-label class="required-label-color ">Contact Name</mat-label>
                            <br>
                            <mat-form-field appearance="outline" style="width:180px">
                              <input matInput formControlName="contactName" maxlength="50" />
                              <!-- <mat-error *ngIf="contactName.errors?.pattern || contactName.invalid" class="error alert alert-danger">
                                    Name can contain letters only.
                                  </mat-error> -->
                            </mat-form-field>
                          </div>
                          <div class="dvInput">
                            <mat-label class="required-label-color "> Phone Number</mat-label>
                            <br>
                            <mat-form-field appearance="outline" style="width:180px">
                              <input matInput formControlName="contactPhoneNo" mask="000-000-0000"
                                [showMaskTyped]="true" (blur)="phoneValidate()">

                            </mat-form-field>
                          </div>
                        </div>
                        <div class="questionPadding" *ngIf="riskDVShow">
                          <div class="centerAlign">
                            <div class=" subsubQuestion inline">
                              <mat-label class="required-label-color "> Is the applicant at serious risk due to intimate
                                partner violence?</mat-label>
                            </div>
                            <div class="radioBtn inline">
                              <mat-radio-group formControlName="isAtSeriousRiskDV" (change)="riskDVChange($event)">
                                <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                                  {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                                </mat-radio-button>
                              </mat-radio-group>
                            </div>
                          </div>
                          <div class="questionPadding" *ngIf="riskDVDescShow">
                            <mat-label class="required-label-color"> Provide a brief description about intimate partner
                              violence:</mat-label>
                            <br>
                            <mat-form-field appearance="outline" class="textareaPad">
                              <textarea rows="4" matInput formControlName="seriousRiskDVDescription"
                                maxlength="500"></textarea>
                            </mat-form-field>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="div-border">
                      <div class="centerAlign">
                        <div class="question inline">
                          <mat-label class="required-label-color ">Is the applicant at serious risk due to gender based
                            violence?</mat-label>
                          <mat-icon id="icon"
                            matTooltip="Gender-based violence (GBV) is violence directed at an individual based on his or her biological sex, gender identity, or perceived adherence to socially defined norms of masculinity and femininity">
                            info</mat-icon>
                        </div>
                        <div class="radioBtn inline">
                          <mat-radio-group formControlName="hasGenderBasedViolence" (change)="genderChange($event)">
                            <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                              {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                            </mat-radio-button>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div *ngIf="genderShow" class="questionPadding">
                        <div class="centerAlign">
                          <div class="subQuestion inline">
                            <mat-label class="required-label-color ">How long ago did the gender based violence occur?
                            </mat-label>
                          </div>
                          <div class="selectBtn inline">
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="gbvHowLongAgoType">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let legth of timeLength" [value]="legth.refGroupDetailID">
                                  {{legth.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </div>
                        </div>
                        <div>
                          <mat-label class="required-label-color ">Provide a brief description about gender based
                            violence:</mat-label>
                          <br>
                          <mat-form-field appearance="outline" class="textarea">
                            <textarea rows="4" matInput formControlName="gbvDescription" maxlength="500"></textarea>
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <div class="div-border">
                      <div class="centerAlign">
                        <div class="question inline">
                          <mat-label class="required-label-color ">Does the applicant have a history of commercial
                            sexual activity and/or coerced into sexual or other exploitative situations?</mat-label>
                        </div>
                        <div class="radioBtn inline">
                          <mat-radio-group formControlName="hasHistoryOfCommercialSexualActivity"
                            (change)="commercialChange($event)">
                            <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                              {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                            </mat-radio-button>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div *ngIf="commercialShow" class="questionPadding">
                        <div class="centerAlign">
                          <div class="subQuestion inline">
                            <mat-label class="required-label-color ">How long ago did the commercial sexual activity
                              and/or coercion into sexual or other exploitative situations occur? </mat-label>
                          </div>
                          <div class="selectBtn inline">
                            <mat-form-field appearance="outline">
                              <mat-select formControlName="csaHowLongAgoType">
                                <mat-option [value]="0">Select One</mat-option>
                                <mat-option *ngFor="let legth of timeLength" [value]="legth.refGroupDetailID">
                                  {{legth.refGroupDetailDescription}}
                                </mat-option>
                              </mat-select>
                            </mat-form-field>
                          </div>
                        </div>
                        <div>
                          <mat-label class="required-label-color ">Provide a brief description and any services being
                            provided: </mat-label>
                          <br>
                          <mat-form-field appearance="outline" class="textarea">
                            <textarea rows="4" matInput formControlName="csaDescription" maxlength="500"></textarea>
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <!-- </form>   -->
                  </div>
                </div>
              </div>
            </ng-template>
          </mat-tab>
          <!--Child Welfare and Development Tab-->
          <mat-tab *ngIf="cwdQuestionStatus?.qOne || cwdQuestionStatus?.qTwo">
            <ng-template matTabLabel>
              <span>Child Welfare and Development</span>
              <mat-icon *ngIf="tab2Status !== 2"
                [ngStyle]="{'color': tab2Status == 0 ? pendingColor : tab2Status == 1 ? completedColor :noColor}">
                {{tab2Status == 1?'check_circle': tab2Status == 0 ? 'watch_later': ''}}</mat-icon>
            </ng-template>
            <ng-template matTabContent>
              <div class="example-small-box mat-elevation-z4" fxLayout="column">
                <div class="example-container mat-elevation-z4">
                  <h2 class="title">Child Welfare and Development</h2>
                  <div class="questions">
                    <!-- <form [formGroup]="dvGroup"> -->
                    <div *ngIf="cwdQuestionStatus?.qOne" class="div-border">
                      <div class="centerAlign">
                        <div class="question inline">
                          <mat-label class="required-label-color ">Has the applicant had a history of not being able to
                            return to an adoptive family placement? </mat-label>
                        </div>
                        <div class="radioBtn inline">
                          <mat-radio-group formControlName="hasAdoptiveFamilyPlacement" (change)="adoptChange($event)"
                            class="radioBtn">
                            <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                              {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                            </mat-radio-button>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div *ngIf="adoptShow" class="questionPadding">
                        <div>
                          <mat-label class="required-label-color ">Provide a brief description: </mat-label>
                          <br>
                          <mat-form-field appearance="outline" class="textarea">
                            <textarea rows="4" matInput formControlName="afpDescription" maxlength="500"></textarea>
                          </mat-form-field>

                        </div>
                      </div>
                    </div>
                    <div *ngIf="cwdQuestionStatus?.qTwo" class="div-border">
                      <div class="centerAlign">
                        <div class="question inline">
                          <mat-label class="required-label-color ">Do any children in applicant's household have
                            significant emotional / behavioral / developmental or health issue? </mat-label>
                        </div>
                        <div class="radioBtn inline">
                          <mat-radio-group formControlName="hasHealthIssue" (change)="healthChange($event)"
                            class="radioBtn">
                            <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                              {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                            </mat-radio-button>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div *ngIf="healthShow" class="questionPadding">
                        <div>
                          <mat-label class="required-label-color ">Please describe the children's emotional / behavioral
                            / developmental / health issue and any services being provided: </mat-label>
                          <br>
                          <mat-form-field appearance="outline" class="textarea">
                            <textarea rows="4" matInput formControlName="hiDescription" maxlength="500"></textarea>
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                    <div *ngIf="cwdQuestionStatus?.qTwo" class="div-border">
                      <div class="centerAlign">
                        <div class="question inline">
                          <mat-label class="required-label-color ">Does applicant have an open child protective
                            investigation services case or mandated to ACS services? </mat-label>
                        </div>
                        <div class="radioBtn inline">
                          <mat-radio-group formControlName="hasOpenChildProtectiveInvestigation"
                            (change)="investigationChange($event)" class="radioBtn">
                            <mat-radio-button *ngFor="let item of responseItems" [value]="item.refGroupDetailID">
                              {{item.refGroupDetailDescription}}&nbsp;&nbsp;&nbsp;&nbsp;
                            </mat-radio-button>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div *ngIf="investigationShow" class="questionPadding">
                        <div>
                          <mat-label class="required-label-color ">Provide a brief description: </mat-label>
                          <br>
                          <mat-form-field appearance="outline" class="textarea">
                            <textarea rows="4" matInput formControlName="ocpiDescription" maxlength="500"></textarea>
                          </mat-form-field>

                        </div>
                      </div>
                    </div>
                    <!-- </form> -->
                  </div>
                </div>
              </div>
            </ng-template>
          </mat-tab>
        </mat-tab-group>
      </mat-card-content>

    </mat-card>

    <!-- <app-nav-footer (Previousbtn)="previousPage()" (Nextbtn)="nextPage()"  ></app-nav-footer> -->
    <app-nav-footer (Savebtn)="onSave(true)" (Previousbtn)="previousPage()" (Nextbtn)="nextPage()"></app-nav-footer>

  </form>



</div>